mpi module plugged.
[scilab.git] / scilab / modules / mpi / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2011 - DIGITEO - Sylvestre LEDRU
19 #
20 # This file must be used under the terms of the CeCILL.
21 # This source file is licensed as described in the file COPYING, which
22 # you should have received as part of this distribution.  The terms
23 # are also available at
24 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # This file must be used under the terms of the CeCILL.
31 # This source file is licensed as described in the file COPYING, which
32 # you should have received as part of this distribution.  The terms
33 # are also available at
34 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
46 am__make_running_with_option = \
47   case $${target_option-} in \
48       ?) ;; \
49       *) echo "am__make_running_with_option: internal error: invalid" \
50               "target option '$${target_option-}' specified" >&2; \
51          exit 1;; \
52   esac; \
53   has_opt=no; \
54   sane_makeflags=$$MAKEFLAGS; \
55   if $(am__is_gnu_make); then \
56     sane_makeflags=$$MFLAGS; \
57   else \
58     case $$MAKEFLAGS in \
59       *\\[\ \   ]*) \
60         bs=\\; \
61         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
62           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
63     esac; \
64   fi; \
65   skip_next=no; \
66   strip_trailopt () \
67   { \
68     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
69   }; \
70   for flg in $$sane_makeflags; do \
71     test $$skip_next = yes && { skip_next=no; continue; }; \
72     case $$flg in \
73       *=*|--*) continue;; \
74         -*I) strip_trailopt 'I'; skip_next=yes;; \
75       -*I?*) strip_trailopt 'I';; \
76         -*O) strip_trailopt 'O'; skip_next=yes;; \
77       -*O?*) strip_trailopt 'O';; \
78         -*l) strip_trailopt 'l'; skip_next=yes;; \
79       -*l?*) strip_trailopt 'l';; \
80       -[dEDm]) skip_next=yes;; \
81       -[JT]) skip_next=yes;; \
82     esac; \
83     case $$flg in \
84       *$$target_option*) has_opt=yes; break;; \
85     esac; \
86   done; \
87   test $$has_opt = yes
88 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
89 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 build_triplet = @build@
107 host_triplet = @host@
108 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
109         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
110         $(top_srcdir)/config/depcomp $(libscimpi_la_include_HEADERS) \
111         TODO
112 @NEED_JAVA_TRUE@am__append_1 = java
113 subdir = modules/mpi
114 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
115 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
116         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
117         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
118         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
119         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
120         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
121         $(top_srcdir)/m4/intel_compiler.m4 \
122         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
123         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
124         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
125         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
126         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
127         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
128         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
129         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
130         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
131         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
132         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
133 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
134         $(ACLOCAL_M4)
135 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
136 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
137 CONFIG_CLEAN_FILES =
138 CONFIG_CLEAN_VPATH_FILES =
139 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
140 am__vpath_adj = case $$p in \
141     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
142     *) f=$$p;; \
143   esac;
144 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
145 am__install_max = 40
146 am__nobase_strip_setup = \
147   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
148 am__nobase_strip = \
149   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
150 am__nobase_list = $(am__nobase_strip_setup); \
151   for p in $$list; do echo "$$p $$p"; done | \
152   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
153   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
154     if (++n[$$2] == $(am__install_max)) \
155       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
156     END { for (dir in files) print dir, files[dir] }'
157 am__base_list = \
158   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
159   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
160 am__uninstall_files_from_dir = { \
161   test -z "$$files" \
162     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
163     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
164          $(am__cd) "$$dir" && rm -f $$files; }; \
165   }
166 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
167         "$(DESTDIR)$(libscimpi_la_etcdir)" \
168         "$(DESTDIR)$(libscimpi_la_rootdir)" \
169         "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" \
170         "$(DESTDIR)$(libscimpi_la_includedir)"
171 LTLIBRARIES = $(pkglib_LTLIBRARIES)
172 am__DEPENDENCIES_1 =
173 libscimpi_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
174 am__dirstamp = $(am__leading_dot)dirstamp
175 am__objects_1 = sci_gateway/c/libscimpi_la-sci_mpi_init.lo \
176         sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo \
177         sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo \
178         sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo \
179         sci_gateway/c/libscimpi_la-gw_mpi.lo \
180         sci_gateway/c/libscimpi_la-sci_mpi_recv.lo \
181         sci_gateway/c/libscimpi_la-sci_mpi_send.lo \
182         sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo \
183         sci_gateway/c/libscimpi_la-sci_mpi_isend.lo \
184         sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo \
185         sci_gateway/c/libscimpi_la-sci_mpi_wait.lo \
186         sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo
187 am__objects_2 = src/c/libscimpi_la-serialization.lo \
188         src/c/libscimpi_la-deserialization.lo
189 am_libscimpi_la_OBJECTS = $(am__objects_1) $(am__objects_2)
190 libscimpi_la_OBJECTS = $(am_libscimpi_la_OBJECTS)
191 AM_V_lt = $(am__v_lt_@AM_V@)
192 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
193 am__v_lt_0 = --silent
194 am__v_lt_1 = 
195 libscimpi_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
196         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libscimpi_la_CFLAGS) \
197         $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
198 AM_V_P = $(am__v_P_@AM_V@)
199 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
200 am__v_P_0 = false
201 am__v_P_1 = :
202 AM_V_GEN = $(am__v_GEN_@AM_V@)
203 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
204 am__v_GEN_0 = @echo "  GEN     " $@;
205 am__v_GEN_1 = 
206 AM_V_at = $(am__v_at_@AM_V@)
207 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
208 am__v_at_0 = @
209 am__v_at_1 = 
210 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
211 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
212 am__depfiles_maybe = depfiles
213 am__mv = mv -f
214 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
215         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
216 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
217         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
218         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
219         $(AM_CFLAGS) $(CFLAGS)
220 AM_V_CC = $(am__v_CC_@AM_V@)
221 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
222 am__v_CC_0 = @echo "  CC      " $@;
223 am__v_CC_1 = 
224 CCLD = $(CC)
225 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
226         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
227         $(AM_LDFLAGS) $(LDFLAGS) -o $@
228 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
229 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
230 am__v_CCLD_0 = @echo "  CCLD    " $@;
231 am__v_CCLD_1 = 
232 SOURCES = $(libscimpi_la_SOURCES)
233 DIST_SOURCES = $(libscimpi_la_SOURCES)
234 am__can_run_installinfo = \
235   case $$AM_UPDATE_INFO_DIR in \
236     n|no|NO) false;; \
237     *) (install-info --version) >/dev/null 2>&1;; \
238   esac
239 DATA = $(libscimpi_la_etc_DATA) $(libscimpi_la_root_DATA) \
240         $(libscimpi_la_sci_gateway_DATA)
241 HEADERS = $(libscimpi_la_include_HEADERS)
242 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
243 # Read a list of newline-separated strings from the standard input,
244 # and print each of them once, without duplicates.  Input order is
245 # *not* preserved.
246 am__uniquify_input = $(AWK) '\
247   BEGIN { nonempty = 0; } \
248   { items[$$0] = 1; nonempty = 1; } \
249   END { if (nonempty) { for (i in items) print i; }; } \
250 '
251 # Make sure the list of sources is unique.  This is necessary because,
252 # e.g., the same source file might be shared among _SOURCES variables
253 # for different programs/libraries.
254 am__define_uniq_tagged_files = \
255   list='$(am__tagged_files)'; \
256   unique=`for i in $$list; do \
257     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
258   done | $(am__uniquify_input)`
259 ETAGS = etags
260 CTAGS = ctags
261 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
262 ACLOCAL = @ACLOCAL@
263 ALL_LINGUAS = @ALL_LINGUAS@
264 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
265 AMTAR = @AMTAR@
266 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
267 ANT = @ANT@
268 ANTLR = @ANTLR@
269 AR = @AR@
270 ARPACK_LIBS = @ARPACK_LIBS@
271 ASM3 = @ASM3@
272 AUTOCONF = @AUTOCONF@
273 AUTOHEADER = @AUTOHEADER@
274 AUTOMAKE = @AUTOMAKE@
275 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
276 AWK = @AWK@
277 BATIK = @BATIK@
278 BLAS_LIBS = @BLAS_LIBS@
279
280 # Includes need for the compilation
281 # MPI code needs to be compile with the openmpi 'compiler' (it is a wrapper)
282 CC = $(OPENMPI_CC)
283 CCACHE = @CCACHE@
284 CCDEPMODE = @CCDEPMODE@
285 CFLAGS = @CFLAGS@
286 CHECKSTYLE = @CHECKSTYLE@
287 COBERTURA = @COBERTURA@
288 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
289 COMMONS_IO = @COMMONS_IO@
290 COMMONS_LOGGING = @COMMONS_LOGGING@
291 CPP = @CPP@
292 CPPFLAGS = @CPPFLAGS@
293 CURL_CFLAGS = @CURL_CFLAGS@
294 CURL_CONFIG = @CURL_CONFIG@
295 CURL_LIBS = @CURL_LIBS@
296 CURL_VERSION = @CURL_VERSION@
297 CXX = @CXX@
298 CXXCPP = @CXXCPP@
299 CXXDEPMODE = @CXXDEPMODE@
300 CXXFLAGS = @CXXFLAGS@
301 CYGPATH_W = @CYGPATH_W@
302 DEFS = @DEFS@
303 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
304 DEPDIR = @DEPDIR@
305 DLLTOOL = @DLLTOOL@
306 DOCBOOK_ROOT = @DOCBOOK_ROOT@
307 DOXYGEN_BIN = @DOXYGEN_BIN@
308 DSYMUTIL = @DSYMUTIL@
309 DUMPBIN = @DUMPBIN@
310 ECHO_C = @ECHO_C@
311 ECHO_N = @ECHO_N@
312 ECHO_T = @ECHO_T@
313 ECJ = @ECJ@
314 EGREP = @EGREP@
315 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
316 EXEEXT = @EXEEXT@
317 F77 = @F77@
318 FFLAGS = @FFLAGS@
319 FFTW3_LIB = @FFTW3_LIB@
320 FFTW_ENABLE = @FFTW_ENABLE@
321 FGREP = @FGREP@
322 FLEXDOCK = @FLEXDOCK@
323 FLIBS = @FLIBS@
324 FOP = @FOP@
325 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
326 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
327 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
328 FREEHEP_IO = @FREEHEP_IO@
329 FREEHEP_UTIL = @FREEHEP_UTIL@
330 GENHTML = @GENHTML@
331 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
332 GIWS_BIN = @GIWS_BIN@
333 GLUEGEN2_RT = @GLUEGEN2_RT@
334 GMSGFMT = @GMSGFMT@
335 GMSGFMT_015 = @GMSGFMT_015@
336 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
337 GREP = @GREP@
338 GUI_ENABLE = @GUI_ENABLE@
339 HAVE_CXX11 = @HAVE_CXX11@
340 HDF5_CFLAGS = @HDF5_CFLAGS@
341 HDF5_LIBS = @HDF5_LIBS@
342 HELP_ENABLE = @HELP_ENABLE@
343 INSTALL = @INSTALL@
344 INSTALL_DATA = @INSTALL_DATA@
345 INSTALL_PROGRAM = @INSTALL_PROGRAM@
346 INSTALL_SCRIPT = @INSTALL_SCRIPT@
347 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
348 INTLLIBS = @INTLLIBS@
349 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
350 JAR = @JAR@
351 JAVA = @JAVA@
352 JAVAC = @JAVAC@
353 JAVAC_DEBUG = @JAVAC_DEBUG@
354 JAVADOC = @JAVADOC@
355 JAVAH = @JAVAH@
356 JAVASCI_ENABLE = @JAVASCI_ENABLE@
357 JAVA_ENABLE = @JAVA_ENABLE@
358 JAVA_G = @JAVA_G@
359 JAVA_HOME = @JAVA_HOME@
360 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
361 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
362 JDB = @JDB@
363 JEUCLID_CORE = @JEUCLID_CORE@
364 JGRAPHX = @JGRAPHX@
365 JHALL = @JHALL@
366 JLATEXMATH = @JLATEXMATH@
367 JLATEXMATH_FOP = @JLATEXMATH_FOP@
368 JOGL2 = @JOGL2@
369 JROSETTA_API = @JROSETTA_API@
370 JROSETTA_ENGINE = @JROSETTA_ENGINE@
371 JUNIT4 = @JUNIT4@
372 LAPACK_LIBS = @LAPACK_LIBS@
373 LCOV = @LCOV@
374 LD = @LD@
375 LDFLAGS = @LDFLAGS@
376 LEX = @LEX@
377 LEXLIB = @LEXLIB@
378 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
379 LIBICONV = @LIBICONV@
380 LIBINTL = @LIBINTL@
381 LIBM = @LIBM@
382 LIBOBJS = @LIBOBJS@
383 LIBS = @LIBS@
384 LIBTOOL = @LIBTOOL@
385 LIPO = @LIPO@
386 LN_S = @LN_S@
387 LOGGING_LEVEL = @LOGGING_LEVEL@
388 LOOKS = @LOOKS@
389 LTLIBICONV = @LTLIBICONV@
390 LTLIBINTL = @LTLIBINTL@
391 LTLIBOBJS = @LTLIBOBJS@
392 MAINT = @MAINT@
393 MAKEINFO = @MAKEINFO@
394 MANIFEST_TOOL = @MANIFEST_TOOL@
395 MATIO_CFLAGS = @MATIO_CFLAGS@
396 MATIO_ENABLE = @MATIO_ENABLE@
397 MATIO_LIBS = @MATIO_LIBS@
398 MKDIR_P = @MKDIR_P@
399 MPI_ENABLE = @MPI_ENABLE@
400 MSGCAT = @MSGCAT@
401 MSGFMT = @MSGFMT@
402 MSGFMT_015 = @MSGFMT_015@
403 MSGMERGE = @MSGMERGE@
404 NM = @NM@
405 NMEDIT = @NMEDIT@
406 OBJDUMP = @OBJDUMP@
407 OBJEXT = @OBJEXT@
408 OCAMLC = @OCAMLC@
409 OCAMLDEP = @OCAMLDEP@
410 OCAMLLEX = @OCAMLLEX@
411 OCAMLOPT = @OCAMLOPT@
412 OCAMLYACC = @OCAMLYACC@
413 OPENMPI_CC = @OPENMPI_CC@
414 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
415 OPENMPI_CXX = @OPENMPI_CXX@
416 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
417 OPENMPI_LIBS = @OPENMPI_LIBS@
418 OPENMP_CFLAGS = @OPENMP_CFLAGS@
419 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
420 OPENMP_ENABLE = @OPENMP_ENABLE@
421 OPENMP_LIBS = @OPENMP_LIBS@
422 OTOOL = @OTOOL@
423 OTOOL64 = @OTOOL64@
424 PACKAGE = @PACKAGE@
425 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
426 PACKAGE_NAME = @PACKAGE_NAME@
427 PACKAGE_STRING = @PACKAGE_STRING@
428 PACKAGE_TARNAME = @PACKAGE_TARNAME@
429 PACKAGE_URL = @PACKAGE_URL@
430 PACKAGE_VERSION = @PACKAGE_VERSION@
431 PATH_SEPARATOR = @PATH_SEPARATOR@
432 PCRE_CFLAGS = @PCRE_CFLAGS@
433 PCRE_CONFIG = @PCRE_CONFIG@
434 PCRE_LIBS = @PCRE_LIBS@
435 PCRE_VERSION = @PCRE_VERSION@
436 PKG_CONFIG = @PKG_CONFIG@
437 POSUB = @POSUB@
438 POW_LIB = @POW_LIB@
439 PYTHON = @PYTHON@
440 RANLIB = @RANLIB@
441 RELOCATABLE = @RELOCATABLE@
442 RT_LIB = @RT_LIB@
443 SAXON = @SAXON@
444 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
445 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
446 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
447 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
448 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
449 SCIRENDERER = @SCIRENDERER@
450 SCIRENDERER_CP = @SCIRENDERER_CP@
451 SCI_CFLAGS = @SCI_CFLAGS@
452 SCI_CXXFLAGS = @SCI_CXXFLAGS@
453 SCI_FFLAGS = @SCI_FFLAGS@
454 SCI_LDFLAGS = @SCI_LDFLAGS@
455 SED = @SED@
456 SET_MAKE = @SET_MAKE@
457 SET_RELOCATABLE = @SET_RELOCATABLE@
458 SHELL = @SHELL@
459 SKINLF = @SKINLF@
460 SPLINT = @SPLINT@
461 STRIP = @STRIP@
462 SWIG_BIN = @SWIG_BIN@
463 SWIG_JAVA = @SWIG_JAVA@
464 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
465 SWIG_SCILAB = @SWIG_SCILAB@
466 TCLTK_LIBS = @TCLTK_LIBS@
467 TCL_INC_PATH = @TCL_INC_PATH@
468 TK_INC_PATH = @TK_INC_PATH@
469 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
470 UMFPACK_ENABLE = @UMFPACK_ENABLE@
471 UMFPACK_LIB = @UMFPACK_LIB@
472 USE_NLS = @USE_NLS@
473 VERSION = @VERSION@
474 WITH_OCAML = @WITH_OCAML@
475 WITH_TKSCI = @WITH_TKSCI@
476 XCOS_ENABLE = @XCOS_ENABLE@
477 XGETTEXT = @XGETTEXT@
478 XGETTEXT_015 = @XGETTEXT_015@
479 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
480 XMKMF = @XMKMF@
481 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
482 XML_APIS_EXT = @XML_APIS_EXT@
483 XML_CONFIG = @XML_CONFIG@
484 XML_FLAGS = @XML_FLAGS@
485 XML_LIBS = @XML_LIBS@
486 XML_VERSION = @XML_VERSION@
487 X_CFLAGS = @X_CFLAGS@
488 X_EXTRA_LIBS = @X_EXTRA_LIBS@
489 X_LIBS = @X_LIBS@
490 X_PRE_LIBS = @X_PRE_LIBS@
491 YACC = @YACC@
492 YFLAGS = @YFLAGS@
493 abs_builddir = @abs_builddir@
494 abs_srcdir = @abs_srcdir@
495 abs_top_builddir = @abs_top_builddir@
496 abs_top_srcdir = @abs_top_srcdir@
497 ac_ct_AR = @ac_ct_AR@
498 ac_ct_CC = @ac_ct_CC@
499 ac_ct_CXX = @ac_ct_CXX@
500 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
501 ac_ct_F77 = @ac_ct_F77@
502 am__include = @am__include@
503 am__leading_dot = @am__leading_dot@
504 am__quote = @am__quote@
505 am__tar = @am__tar@
506 am__untar = @am__untar@
507 bindir = @bindir@
508 build = @build@
509 build_alias = @build_alias@
510 build_cpu = @build_cpu@
511 build_os = @build_os@
512 build_vendor = @build_vendor@
513 builddir = @builddir@
514 cxx_present = @cxx_present@
515 datadir = @datadir@
516 datarootdir = @datarootdir@
517 docdir = @docdir@
518 dvidir = @dvidir@
519 exec_prefix = @exec_prefix@
520 host = @host@
521 host_alias = @host_alias@
522 host_cpu = @host_cpu@
523 host_os = @host_os@
524 host_vendor = @host_vendor@
525 htmldir = @htmldir@
526 includedir = @includedir@
527 infodir = @infodir@
528 install_sh = @install_sh@
529 libdir = @libdir@
530 libexecdir = @libexecdir@
531 localedir = @localedir@
532 localstatedir = @localstatedir@
533 mandir = @mandir@
534 mkdir_p = @mkdir_p@
535 oldincludedir = @oldincludedir@
536 pdfdir = @pdfdir@
537 prefix = @prefix@
538 program_transform_name = @program_transform_name@
539 psdir = @psdir@
540 sbindir = @sbindir@
541 sharedstatedir = @sharedstatedir@
542 srcdir = @srcdir@
543 sysconfdir = @sysconfdir@
544 target_alias = @target_alias@
545 top_build_prefix = @top_build_prefix@
546 top_builddir = @top_builddir@
547 top_srcdir = @top_srcdir@
548 yacc_present = @yacc_present@
549 MPI_C_SOURCES = src/c/serialization.c \
550     src/c/deserialization.c
551
552
553 # List of the gateway c files
554 GATEWAY_C_SOURCES = \
555     sci_gateway/c/sci_mpi_init.c \
556     sci_gateway/c/sci_mpi_finalize.c \
557     sci_gateway/c/sci_mpi_comm_size.c \
558     sci_gateway/c/sci_mpi_comm_rank.c \
559     sci_gateway/c/gw_mpi.c \
560     sci_gateway/c/sci_mpi_recv.c \
561     sci_gateway/c/sci_mpi_send.c \
562     sci_gateway/c/sci_mpi_irecv.c \
563     sci_gateway/c/sci_mpi_isend.c \
564     sci_gateway/c/sci_mpi_bcast.c \
565     sci_gateway/c/sci_mpi_wait.c \
566     sci_gateway/c/sci_mpi_get_processor_name.c
567
568 libscimpi_la_CFLAGS = -Iincludes/ \
569         -Isrc/c/ \
570         -I$(top_srcdir)/libs/MALLOC/includes/ \
571         -I$(top_srcdir)/modules/ast/includes/ast \
572         -I$(top_srcdir)/modules/ast/includes/operations \
573         -I$(top_srcdir)/modules/ast/includes/types \
574         -I$(top_srcdir)/modules/output_stream/includes \
575         -I$(top_srcdir)/modules/localization/includes \
576         -I$(top_srcdir)/modules/api_scilab/includes \
577         -I$(top_srcdir)/modules/elementary_functions/includes \
578         -DDEBUG
579
580 # libscimpi_la_LDFLAGS = $(LAMPI_LDFLAGS)
581 libscimpi_la_LIBADD = $(OPENMPI_LIBS)
582
583 # Name of the future library (.la will be replace by .so, .a, etc regarding
584 # the system)
585 pkglib_LTLIBRARIES = libscimpi.la
586
587 # All the sources needed by libscimpi.la
588 libscimpi_la_SOURCES = $(GATEWAY_C_SOURCES)  $(MPI_C_SOURCES)
589 #$(GATEWAY_FORTRAN_SOURCES) $(MPI_FORTRAN_SOURCES)
590
591 #### Target ######
592 modulename = mpi
593
594 #### mpi : Conf files ####
595 libscimpi_la_rootdir = $(mydatadir)
596 libscimpi_la_root_DATA = readme.txt
597
598 #### mpi : init scripts ####
599 libscimpi_la_etcdir = $(mydatadir)/etc
600 libscimpi_la_etc_DATA = etc/mpi.quit etc/mpi.start
601
602 #### mpi : gateway declaration ####
603 libscimpi_la_sci_gatewaydir = $(mydatadir)/sci_gateway
604 libscimpi_la_sci_gateway_DATA = sci_gateway/mpi_gateway.xml
605
606 #### mpi : include files ####
607 libscimpi_la_includedir = $(pkgincludedir)/mpi
608 libscimpi_la_include_HEADERS = includes/gw_mpi.h
609
610 # Where all the Scilab stuff is installed (macros, help, ...)
611 mydatadir = $(pkgdatadir)/modules/$(modulename)
612
613 # Set AM_* SCI detected settings
614 AM_CPPFLAGS = $(SCI_CPPFLAGS)
615 AM_CFLAGS = $(SCI_CFLAGS)
616 AM_CXXFLAGS = $(SCI_CXXFLAGS)
617 # append includes to AM_FFLAGS to manage fortran includes
618 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
619
620 # Tag shared libraries with the Scilab version
621 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
622
623 # splint options
624 SPLINT_OPTIONS = -weak -booltype BOOL
625
626 ########################### JAVA ######################################
627 #### We are delegating java compilation to ant... Thanks to that
628 #### the procedure will be the same with Microsoft Windows (C)
629 #### and Linux/Unix
630 #######################################################################
631 TARGETS_ALL = $(am__append_1)
632
633 ################ MACROS ######################
634 # Rule to build a macro
635 # NOT USED  AT THE MOMENT
636 SUFFIXES = .sci
637
638 ########### INSTALL DOCUMENTATION ###################
639
640 # Install documentation files into the right target
641 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
642 # automake needs the html files to be present which is not the case when
643 # we are building Scilab
644
645 # Where it should be installed
646 pkgdocdir = $(mydatadir)
647
648 # What is the mask of the help source
649 DOCMASKXML = *.xml
650
651 # What is the mask of the MathML sources
652 DOCMASKMML = *.mml
653
654 ########### INSTALL DATA ###################
655 # Install macros, help & demos
656 # Where it should be installed
657 pkgmacrosdir = $(mydatadir)
658 # Which directory we process
659 MACRODIRS = macros/
660 # Mask of the Scilab sources macros
661 MACROMASK = *.sci
662 # Mask of the Scilab executable sources macros
663 MACROBUILDMASK = *.sce
664 # Mask of the Scilab compiled macros
665 MACROBINMASK = *.bin
666 # List of the standard directory for tests
667 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
668 # Where the demos should be installed
669 pkgdemosdir = $(mydatadir)
670 # List of the standard directory for demos
671 DEMOS_DIR = demos
672 # List of the standard directory for examples
673 EXAMPLES_DIR = examples
674 # Where to export JAVA archives (.jar)
675 JARDIR = jar/
676 # JAR files mask
677 JARMASK = *.jar
678 # Chapter file
679 HELP_CHAPTERDIR = help/
680 HELP_CHAPTERFILE = addchapter.sce
681 HELP_CHAPTERLANG = en_US fr_FR pt_BR
682 all: all-am
683
684 .SUFFIXES:
685 .SUFFIXES: .sci .bin .c .lo .o .obj
686 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
687         @for dep in $?; do \
688           case '$(am__configure_deps)' in \
689             *$$dep*) \
690               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
691                 && { if test -f $@; then exit 0; else break; fi; }; \
692               exit 1;; \
693           esac; \
694         done; \
695         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/mpi/Makefile'; \
696         $(am__cd) $(top_srcdir) && \
697           $(AUTOMAKE) --foreign modules/mpi/Makefile
698 .PRECIOUS: Makefile
699 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
700         @case '$?' in \
701           *config.status*) \
702             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
703           *) \
704             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
705             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
706         esac;
707 $(top_srcdir)/Makefile.incl.am:
708
709 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
710         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
711
712 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
713         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
714 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
715         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
716 $(am__aclocal_m4_deps):
717
718 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
719         @$(NORMAL_INSTALL)
720         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
721         list2=; for p in $$list; do \
722           if test -f $$p; then \
723             list2="$$list2 $$p"; \
724           else :; fi; \
725         done; \
726         test -z "$$list2" || { \
727           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
728           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
729           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
730           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
731         }
732
733 uninstall-pkglibLTLIBRARIES:
734         @$(NORMAL_UNINSTALL)
735         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
736         for p in $$list; do \
737           $(am__strip_dir) \
738           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
739           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
740         done
741
742 clean-pkglibLTLIBRARIES:
743         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
744         @list='$(pkglib_LTLIBRARIES)'; \
745         locs=`for p in $$list; do echo $$p; done | \
746               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
747               sort -u`; \
748         test -z "$$locs" || { \
749           echo rm -f $${locs}; \
750           rm -f $${locs}; \
751         }
752 sci_gateway/c/$(am__dirstamp):
753         @$(MKDIR_P) sci_gateway/c
754         @: > sci_gateway/c/$(am__dirstamp)
755 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
756         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
757         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
758 sci_gateway/c/libscimpi_la-sci_mpi_init.lo:  \
759         sci_gateway/c/$(am__dirstamp) \
760         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
761 sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo:  \
762         sci_gateway/c/$(am__dirstamp) \
763         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
764 sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo:  \
765         sci_gateway/c/$(am__dirstamp) \
766         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
767 sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo:  \
768         sci_gateway/c/$(am__dirstamp) \
769         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
770 sci_gateway/c/libscimpi_la-gw_mpi.lo: sci_gateway/c/$(am__dirstamp) \
771         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
772 sci_gateway/c/libscimpi_la-sci_mpi_recv.lo:  \
773         sci_gateway/c/$(am__dirstamp) \
774         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
775 sci_gateway/c/libscimpi_la-sci_mpi_send.lo:  \
776         sci_gateway/c/$(am__dirstamp) \
777         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
778 sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo:  \
779         sci_gateway/c/$(am__dirstamp) \
780         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
781 sci_gateway/c/libscimpi_la-sci_mpi_isend.lo:  \
782         sci_gateway/c/$(am__dirstamp) \
783         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
784 sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo:  \
785         sci_gateway/c/$(am__dirstamp) \
786         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
787 sci_gateway/c/libscimpi_la-sci_mpi_wait.lo:  \
788         sci_gateway/c/$(am__dirstamp) \
789         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
790 sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo:  \
791         sci_gateway/c/$(am__dirstamp) \
792         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
793 src/c/$(am__dirstamp):
794         @$(MKDIR_P) src/c
795         @: > src/c/$(am__dirstamp)
796 src/c/$(DEPDIR)/$(am__dirstamp):
797         @$(MKDIR_P) src/c/$(DEPDIR)
798         @: > src/c/$(DEPDIR)/$(am__dirstamp)
799 src/c/libscimpi_la-serialization.lo: src/c/$(am__dirstamp) \
800         src/c/$(DEPDIR)/$(am__dirstamp)
801 src/c/libscimpi_la-deserialization.lo: src/c/$(am__dirstamp) \
802         src/c/$(DEPDIR)/$(am__dirstamp)
803
804 libscimpi.la: $(libscimpi_la_OBJECTS) $(libscimpi_la_DEPENDENCIES) $(EXTRA_libscimpi_la_DEPENDENCIES) 
805         $(AM_V_CCLD)$(libscimpi_la_LINK) -rpath $(pkglibdir) $(libscimpi_la_OBJECTS) $(libscimpi_la_LIBADD) $(LIBS)
806
807 mostlyclean-compile:
808         -rm -f *.$(OBJEXT)
809         -rm -f sci_gateway/c/*.$(OBJEXT)
810         -rm -f sci_gateway/c/*.lo
811         -rm -f src/c/*.$(OBJEXT)
812         -rm -f src/c/*.lo
813
814 distclean-compile:
815         -rm -f *.tab.c
816
817 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-gw_mpi.Plo@am__quote@
818 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Plo@am__quote@
819 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo@am__quote@
820 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo@am__quote@
821 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo@am__quote@
822 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Plo@am__quote@
823 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Plo@am__quote@
824 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Plo@am__quote@
825 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Plo@am__quote@
826 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo@am__quote@
827 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Plo@am__quote@
828 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Plo@am__quote@
829 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscimpi_la-deserialization.Plo@am__quote@
830 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscimpi_la-serialization.Plo@am__quote@
831
832 .c.o:
833 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
834 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
835 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
836 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
837 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
838 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
839
840 .c.obj:
841 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
842 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
843 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
844 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
845 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
847
848 .c.lo:
849 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
850 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
851 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
852 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
853 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
854 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
855
856 sci_gateway/c/libscimpi_la-sci_mpi_init.lo: sci_gateway/c/sci_mpi_init.c
857 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_init.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_init.lo `test -f 'sci_gateway/c/sci_mpi_init.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_init.c
858 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_init.Plo
859 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_init.c' object='sci_gateway/c/libscimpi_la-sci_mpi_init.lo' libtool=yes @AMDEPBACKSLASH@
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
861 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_init.lo `test -f 'sci_gateway/c/sci_mpi_init.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_init.c
862
863 sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo: sci_gateway/c/sci_mpi_finalize.c
864 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo `test -f 'sci_gateway/c/sci_mpi_finalize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_finalize.c
865 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo
866 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_finalize.c' object='sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo' libtool=yes @AMDEPBACKSLASH@
867 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
868 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_finalize.lo `test -f 'sci_gateway/c/sci_mpi_finalize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_finalize.c
869
870 sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo: sci_gateway/c/sci_mpi_comm_size.c
871 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo `test -f 'sci_gateway/c/sci_mpi_comm_size.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_size.c
872 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo
873 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_comm_size.c' object='sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo' libtool=yes @AMDEPBACKSLASH@
874 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
875 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_size.lo `test -f 'sci_gateway/c/sci_mpi_comm_size.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_size.c
876
877 sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo: sci_gateway/c/sci_mpi_comm_rank.c
878 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo `test -f 'sci_gateway/c/sci_mpi_comm_rank.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_rank.c
879 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo
880 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_comm_rank.c' object='sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo' libtool=yes @AMDEPBACKSLASH@
881 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
882 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_comm_rank.lo `test -f 'sci_gateway/c/sci_mpi_comm_rank.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_rank.c
883
884 sci_gateway/c/libscimpi_la-gw_mpi.lo: sci_gateway/c/gw_mpi.c
885 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-gw_mpi.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-gw_mpi.Tpo -c -o sci_gateway/c/libscimpi_la-gw_mpi.lo `test -f 'sci_gateway/c/gw_mpi.c' || echo '$(srcdir)/'`sci_gateway/c/gw_mpi.c
886 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-gw_mpi.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-gw_mpi.Plo
887 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_mpi.c' object='sci_gateway/c/libscimpi_la-gw_mpi.lo' libtool=yes @AMDEPBACKSLASH@
888 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
889 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-gw_mpi.lo `test -f 'sci_gateway/c/gw_mpi.c' || echo '$(srcdir)/'`sci_gateway/c/gw_mpi.c
890
891 sci_gateway/c/libscimpi_la-sci_mpi_recv.lo: sci_gateway/c/sci_mpi_recv.c
892 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_recv.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_recv.lo `test -f 'sci_gateway/c/sci_mpi_recv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_recv.c
893 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo
894 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_recv.c' object='sci_gateway/c/libscimpi_la-sci_mpi_recv.lo' libtool=yes @AMDEPBACKSLASH@
895 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
896 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_recv.lo `test -f 'sci_gateway/c/sci_mpi_recv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_recv.c
897
898 sci_gateway/c/libscimpi_la-sci_mpi_send.lo: sci_gateway/c/sci_mpi_send.c
899 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_send.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_send.lo `test -f 'sci_gateway/c/sci_mpi_send.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_send.c
900 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_send.Plo
901 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_send.c' object='sci_gateway/c/libscimpi_la-sci_mpi_send.lo' libtool=yes @AMDEPBACKSLASH@
902 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
903 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_send.lo `test -f 'sci_gateway/c/sci_mpi_send.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_send.c
904
905 sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo: sci_gateway/c/sci_mpi_irecv.c
906 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo `test -f 'sci_gateway/c/sci_mpi_irecv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_irecv.c
907 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_irecv.Plo
908 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_irecv.c' object='sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo' libtool=yes @AMDEPBACKSLASH@
909 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
910 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_irecv.lo `test -f 'sci_gateway/c/sci_mpi_irecv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_irecv.c
911
912 sci_gateway/c/libscimpi_la-sci_mpi_isend.lo: sci_gateway/c/sci_mpi_isend.c
913 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_isend.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_isend.lo `test -f 'sci_gateway/c/sci_mpi_isend.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_isend.c
914 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_isend.Plo
915 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_isend.c' object='sci_gateway/c/libscimpi_la-sci_mpi_isend.lo' libtool=yes @AMDEPBACKSLASH@
916 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
917 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_isend.lo `test -f 'sci_gateway/c/sci_mpi_isend.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_isend.c
918
919 sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo: sci_gateway/c/sci_mpi_bcast.c
920 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo `test -f 'sci_gateway/c/sci_mpi_bcast.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_bcast.c
921 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_bcast.Plo
922 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_bcast.c' object='sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo' libtool=yes @AMDEPBACKSLASH@
923 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
924 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_bcast.lo `test -f 'sci_gateway/c/sci_mpi_bcast.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_bcast.c
925
926 sci_gateway/c/libscimpi_la-sci_mpi_wait.lo: sci_gateway/c/sci_mpi_wait.c
927 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_wait.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_wait.lo `test -f 'sci_gateway/c/sci_mpi_wait.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_wait.c
928 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_wait.Plo
929 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_wait.c' object='sci_gateway/c/libscimpi_la-sci_mpi_wait.lo' libtool=yes @AMDEPBACKSLASH@
930 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
931 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_wait.lo `test -f 'sci_gateway/c/sci_mpi_wait.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_wait.c
932
933 sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo: sci_gateway/c/sci_mpi_get_processor_name.c
934 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Tpo -c -o sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo `test -f 'sci_gateway/c/sci_mpi_get_processor_name.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_get_processor_name.c
935 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Tpo sci_gateway/c/$(DEPDIR)/libscimpi_la-sci_mpi_get_processor_name.Plo
936 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_mpi_get_processor_name.c' object='sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo' libtool=yes @AMDEPBACKSLASH@
937 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
938 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscimpi_la-sci_mpi_get_processor_name.lo `test -f 'sci_gateway/c/sci_mpi_get_processor_name.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_get_processor_name.c
939
940 src/c/libscimpi_la-serialization.lo: src/c/serialization.c
941 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT src/c/libscimpi_la-serialization.lo -MD -MP -MF src/c/$(DEPDIR)/libscimpi_la-serialization.Tpo -c -o src/c/libscimpi_la-serialization.lo `test -f 'src/c/serialization.c' || echo '$(srcdir)/'`src/c/serialization.c
942 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscimpi_la-serialization.Tpo src/c/$(DEPDIR)/libscimpi_la-serialization.Plo
943 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/serialization.c' object='src/c/libscimpi_la-serialization.lo' libtool=yes @AMDEPBACKSLASH@
944 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
945 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o src/c/libscimpi_la-serialization.lo `test -f 'src/c/serialization.c' || echo '$(srcdir)/'`src/c/serialization.c
946
947 src/c/libscimpi_la-deserialization.lo: src/c/deserialization.c
948 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT src/c/libscimpi_la-deserialization.lo -MD -MP -MF src/c/$(DEPDIR)/libscimpi_la-deserialization.Tpo -c -o src/c/libscimpi_la-deserialization.lo `test -f 'src/c/deserialization.c' || echo '$(srcdir)/'`src/c/deserialization.c
949 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscimpi_la-deserialization.Tpo src/c/$(DEPDIR)/libscimpi_la-deserialization.Plo
950 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/deserialization.c' object='src/c/libscimpi_la-deserialization.lo' libtool=yes @AMDEPBACKSLASH@
951 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
952 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o src/c/libscimpi_la-deserialization.lo `test -f 'src/c/deserialization.c' || echo '$(srcdir)/'`src/c/deserialization.c
953
954 mostlyclean-libtool:
955         -rm -f *.lo
956
957 clean-libtool:
958         -rm -rf .libs _libs
959         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
960         -rm -rf src/c/.libs src/c/_libs
961 install-libscimpi_la_etcDATA: $(libscimpi_la_etc_DATA)
962         @$(NORMAL_INSTALL)
963         @list='$(libscimpi_la_etc_DATA)'; test -n "$(libscimpi_la_etcdir)" || list=; \
964         if test -n "$$list"; then \
965           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_etcdir)'"; \
966           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_etcdir)" || exit 1; \
967         fi; \
968         for p in $$list; do \
969           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
970           echo "$$d$$p"; \
971         done | $(am__base_list) | \
972         while read files; do \
973           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_etcdir)'"; \
974           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_etcdir)" || exit $$?; \
975         done
976
977 uninstall-libscimpi_la_etcDATA:
978         @$(NORMAL_UNINSTALL)
979         @list='$(libscimpi_la_etc_DATA)'; test -n "$(libscimpi_la_etcdir)" || list=; \
980         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
981         dir='$(DESTDIR)$(libscimpi_la_etcdir)'; $(am__uninstall_files_from_dir)
982 install-libscimpi_la_rootDATA: $(libscimpi_la_root_DATA)
983         @$(NORMAL_INSTALL)
984         @list='$(libscimpi_la_root_DATA)'; test -n "$(libscimpi_la_rootdir)" || list=; \
985         if test -n "$$list"; then \
986           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_rootdir)'"; \
987           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_rootdir)" || exit 1; \
988         fi; \
989         for p in $$list; do \
990           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
991           echo "$$d$$p"; \
992         done | $(am__base_list) | \
993         while read files; do \
994           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_rootdir)'"; \
995           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_rootdir)" || exit $$?; \
996         done
997
998 uninstall-libscimpi_la_rootDATA:
999         @$(NORMAL_UNINSTALL)
1000         @list='$(libscimpi_la_root_DATA)'; test -n "$(libscimpi_la_rootdir)" || list=; \
1001         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1002         dir='$(DESTDIR)$(libscimpi_la_rootdir)'; $(am__uninstall_files_from_dir)
1003 install-libscimpi_la_sci_gatewayDATA: $(libscimpi_la_sci_gateway_DATA)
1004         @$(NORMAL_INSTALL)
1005         @list='$(libscimpi_la_sci_gateway_DATA)'; test -n "$(libscimpi_la_sci_gatewaydir)" || list=; \
1006         if test -n "$$list"; then \
1007           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'"; \
1008           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" || exit 1; \
1009         fi; \
1010         for p in $$list; do \
1011           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1012           echo "$$d$$p"; \
1013         done | $(am__base_list) | \
1014         while read files; do \
1015           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'"; \
1016           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" || exit $$?; \
1017         done
1018
1019 uninstall-libscimpi_la_sci_gatewayDATA:
1020         @$(NORMAL_UNINSTALL)
1021         @list='$(libscimpi_la_sci_gateway_DATA)'; test -n "$(libscimpi_la_sci_gatewaydir)" || list=; \
1022         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1023         dir='$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1024 install-libscimpi_la_includeHEADERS: $(libscimpi_la_include_HEADERS)
1025         @$(NORMAL_INSTALL)
1026         @list='$(libscimpi_la_include_HEADERS)'; test -n "$(libscimpi_la_includedir)" || list=; \
1027         if test -n "$$list"; then \
1028           echo " $(MKDIR_P) '$(DESTDIR)$(libscimpi_la_includedir)'"; \
1029           $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_includedir)" || exit 1; \
1030         fi; \
1031         for p in $$list; do \
1032           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1033           echo "$$d$$p"; \
1034         done | $(am__base_list) | \
1035         while read files; do \
1036           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscimpi_la_includedir)'"; \
1037           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscimpi_la_includedir)" || exit $$?; \
1038         done
1039
1040 uninstall-libscimpi_la_includeHEADERS:
1041         @$(NORMAL_UNINSTALL)
1042         @list='$(libscimpi_la_include_HEADERS)'; test -n "$(libscimpi_la_includedir)" || list=; \
1043         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1044         dir='$(DESTDIR)$(libscimpi_la_includedir)'; $(am__uninstall_files_from_dir)
1045
1046 ID: $(am__tagged_files)
1047         $(am__define_uniq_tagged_files); mkid -fID $$unique
1048 tags: tags-am
1049 TAGS: tags
1050
1051 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1052         set x; \
1053         here=`pwd`; \
1054         $(am__define_uniq_tagged_files); \
1055         shift; \
1056         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1057           test -n "$$unique" || unique=$$empty_fix; \
1058           if test $$# -gt 0; then \
1059             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1060               "$$@" $$unique; \
1061           else \
1062             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1063               $$unique; \
1064           fi; \
1065         fi
1066 ctags: ctags-am
1067
1068 CTAGS: ctags
1069 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1070         $(am__define_uniq_tagged_files); \
1071         test -z "$(CTAGS_ARGS)$$unique" \
1072           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1073              $$unique
1074
1075 GTAGS:
1076         here=`$(am__cd) $(top_builddir) && pwd` \
1077           && $(am__cd) $(top_srcdir) \
1078           && gtags -i $(GTAGS_ARGS) "$$here"
1079 cscopelist: cscopelist-am
1080
1081 cscopelist-am: $(am__tagged_files)
1082         list='$(am__tagged_files)'; \
1083         case "$(srcdir)" in \
1084           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1085           *) sdir=$(subdir)/$(srcdir) ;; \
1086         esac; \
1087         for i in $$list; do \
1088           if test -f "$$i"; then \
1089             echo "$(subdir)/$$i"; \
1090           else \
1091             echo "$$sdir/$$i"; \
1092           fi; \
1093         done >> $(top_builddir)/cscope.files
1094
1095 distclean-tags:
1096         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1097
1098 distdir: $(DISTFILES)
1099         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1100         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1101         list='$(DISTFILES)'; \
1102           dist_files=`for file in $$list; do echo $$file; done | \
1103           sed -e "s|^$$srcdirstrip/||;t" \
1104               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1105         case $$dist_files in \
1106           */*) $(MKDIR_P) `echo "$$dist_files" | \
1107                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1108                            sort -u` ;; \
1109         esac; \
1110         for file in $$dist_files; do \
1111           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1112           if test -d $$d/$$file; then \
1113             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1114             if test -d "$(distdir)/$$file"; then \
1115               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1116             fi; \
1117             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1118               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1119               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1120             fi; \
1121             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1122           else \
1123             test -f "$(distdir)/$$file" \
1124             || cp -p $$d/$$file "$(distdir)/$$file" \
1125             || exit 1; \
1126           fi; \
1127         done
1128 check-am: all-am
1129         $(MAKE) $(AM_MAKEFLAGS) check-local
1130 check: check-am
1131 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1132 installdirs:
1133         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscimpi_la_etcdir)" "$(DESTDIR)$(libscimpi_la_rootdir)" "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" "$(DESTDIR)$(libscimpi_la_includedir)"; do \
1134           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1135         done
1136 install: install-am
1137 install-exec: install-exec-am
1138 install-data: install-data-am
1139 uninstall: uninstall-am
1140
1141 install-am: all-am
1142         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1143
1144 installcheck: installcheck-am
1145 install-strip:
1146         if test -z '$(STRIP)'; then \
1147           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1148             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1149               install; \
1150         else \
1151           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1152             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1153             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1154         fi
1155 mostlyclean-generic:
1156
1157 clean-generic:
1158
1159 distclean-generic:
1160         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1161         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1162         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1163         -rm -f sci_gateway/c/$(am__dirstamp)
1164         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1165         -rm -f src/c/$(am__dirstamp)
1166
1167 maintainer-clean-generic:
1168         @echo "This command is intended for maintainers to use"
1169         @echo "it deletes files that may require special tools to rebuild."
1170 clean: clean-am
1171
1172 clean-am: clean-generic clean-libtool clean-local \
1173         clean-pkglibLTLIBRARIES mostlyclean-am
1174
1175 distclean: distclean-am
1176         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR)
1177         -rm -f Makefile
1178 distclean-am: clean-am distclean-compile distclean-generic \
1179         distclean-local distclean-tags
1180
1181 dvi: dvi-am
1182
1183 dvi-am:
1184
1185 html: html-am
1186
1187 html-am:
1188
1189 info: info-am
1190
1191 info-am:
1192
1193 install-data-am: install-data-local install-libscimpi_la_etcDATA \
1194         install-libscimpi_la_includeHEADERS \
1195         install-libscimpi_la_rootDATA \
1196         install-libscimpi_la_sci_gatewayDATA
1197
1198 install-dvi: install-dvi-am
1199
1200 install-dvi-am:
1201
1202 install-exec-am: install-pkglibLTLIBRARIES
1203
1204 install-html: install-html-am
1205
1206 install-html-am: install-html-local
1207
1208 install-info: install-info-am
1209
1210 install-info-am:
1211
1212 install-man:
1213
1214 install-pdf: install-pdf-am
1215
1216 install-pdf-am:
1217
1218 install-ps: install-ps-am
1219
1220 install-ps-am:
1221
1222 installcheck-am:
1223
1224 maintainer-clean: maintainer-clean-am
1225         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR)
1226         -rm -f Makefile
1227 maintainer-clean-am: distclean-am maintainer-clean-generic
1228
1229 mostlyclean: mostlyclean-am
1230
1231 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1232         mostlyclean-libtool
1233
1234 pdf: pdf-am
1235
1236 pdf-am:
1237
1238 ps: ps-am
1239
1240 ps-am:
1241
1242 uninstall-am: uninstall-libscimpi_la_etcDATA \
1243         uninstall-libscimpi_la_includeHEADERS \
1244         uninstall-libscimpi_la_rootDATA \
1245         uninstall-libscimpi_la_sci_gatewayDATA \
1246         uninstall-pkglibLTLIBRARIES
1247
1248 .MAKE: check-am install-am install-strip
1249
1250 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1251         check-local clean clean-generic clean-libtool clean-local \
1252         clean-pkglibLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1253         distclean-compile distclean-generic distclean-libtool \
1254         distclean-local distclean-tags distdir dvi dvi-am html html-am \
1255         info info-am install install-am install-data install-data-am \
1256         install-data-local install-dvi install-dvi-am install-exec \
1257         install-exec-am install-html install-html-am \
1258         install-html-local install-info install-info-am \
1259         install-libscimpi_la_etcDATA \
1260         install-libscimpi_la_includeHEADERS \
1261         install-libscimpi_la_rootDATA \
1262         install-libscimpi_la_sci_gatewayDATA install-man install-pdf \
1263         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1264         install-ps-am install-strip installcheck installcheck-am \
1265         installdirs maintainer-clean maintainer-clean-generic \
1266         mostlyclean mostlyclean-compile mostlyclean-generic \
1267         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1268         uninstall-am uninstall-libscimpi_la_etcDATA \
1269         uninstall-libscimpi_la_includeHEADERS \
1270         uninstall-libscimpi_la_rootDATA \
1271         uninstall-libscimpi_la_sci_gatewayDATA \
1272         uninstall-pkglibLTLIBRARIES
1273
1274
1275 # This target enables tests for Scilab
1276 check-local: $(top_builddir)/scilab-bin test
1277         if test -d $(mydatadir)/tests; then \
1278           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1279         fi
1280 check-code:
1281         if test -f build.xml; then \
1282                 $(ANT) checkstyle; \
1283         fi
1284         if test -x "$(SPLINT)"; then \
1285                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1286         fi
1287 @NEED_JAVA_TRUE@java:
1288 # Some configurations needs to export JAVA_HOME in the current env
1289 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1290 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1291 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1292 @NEED_JAVA_TRUE@                $(ANT); \
1293 @NEED_JAVA_TRUE@        fi
1294
1295 @NEED_JAVA_TRUE@clean-java:
1296 # Some configurations needs to export JAVA_HOME in the current env
1297 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1298 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1299 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1300 @NEED_JAVA_TRUE@                $(ANT) clean; \
1301 @NEED_JAVA_TRUE@        fi;
1302
1303 # If the user request for the SWIG generation of the wrappers Java => C/C++
1304 # We call the target swig-build on the variable SWIG_WRAPPERS
1305
1306 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1307 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1308 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1309 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1310 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1311 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1312 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1313 @SWIG_TRUE@             done; \
1314 @SWIG_TRUE@     fi
1315
1316 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1317 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1318 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1319 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1320 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1321 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1322 @SWIG_TRUE@             done; \
1323 @SWIG_TRUE@     fi
1324
1325 # If the user request for the SWIG generation of the wrappers Java => C/C++
1326 # We call the target swig-build on the variable SWIG_WRAPPERS
1327
1328 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1329 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1330 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1331 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1332 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1333 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1334 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1335 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1336 @GIWS_TRUE@                     else \
1337 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1338 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1339 @GIWS_TRUE@                     fi \
1340 @GIWS_TRUE@             done; \
1341 @GIWS_TRUE@     fi
1342
1343 @GIWS_TRUE@giws-exception:
1344 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1345 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1346 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1347
1348 macros:
1349         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1350                 echo "Error : Cannot build $< : Scilab has not been built"; \
1351         else \
1352                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1353         fi)
1354
1355 # Removes the macros
1356 clean-macros:
1357 # Removes macros (*.bin generated from .sci)
1358         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1359                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1360                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1361         done
1362
1363 test:
1364 # More tests could be added here
1365         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1366         if test -f build.xml -a $$USEANT -eq 1; then \
1367                 $(ANT) test; \
1368         fi
1369
1370 all-local: $(TARGETS_ALL)
1371
1372 .sci.bin:
1373         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1374         echo "Error : Cannot build $< : Scilab has not been build"; \
1375         else \
1376         echo "Creating $@"; \
1377         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1378         fi )
1379
1380 install-html-local:
1381
1382 install-data-local-local:
1383 # Mainly for javasci
1384         @if test -d $(srcdir)/javadoc; then \
1385                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1386         fi
1387 # If the user wants the help sources to be installed
1388 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1389 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1390 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1391 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1392 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1393 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1394 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1395 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1396 @INSTALL_HELP_XML_TRUE@           done ; \
1397 @INSTALL_HELP_XML_TRUE@         fi; \
1398 @INSTALL_HELP_XML_TRUE@  fi; \
1399 @INSTALL_HELP_XML_TRUE@ done; \
1400 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1401 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1402 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1403 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1404 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1405 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1406 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1407 @INSTALL_HELP_XML_TRUE@           done ; \
1408 @INSTALL_HELP_XML_TRUE@         fi; \
1409 @INSTALL_HELP_XML_TRUE@ fi
1410 install-data-local:
1411 # Install the tests
1412         @echo "-------- Install tests (if any) --------"; \
1413         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1414           if test -d $(srcdir)/$$dir/; then \
1415             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1416                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1417                     if test -d "$(srcdir)/$$dir/$$file"; then \
1418                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1419                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1420                     else \
1421                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1422                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1423                     fi \
1424                   done; \
1425           fi; \
1426         done
1427 # Install the help chapter
1428         @echo "-------- Install the help chapter (if any) --------"; \
1429         for lang in $(HELP_CHAPTERLANG); do \
1430                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1431                 if test -f $$HELPFILE; then \
1432                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1433                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1434                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1435                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1436                 fi; \
1437         done
1438 # Install the demos & examples
1439         @echo "-------- Install demos & examples (if any) --------"; \
1440         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1441           if test -d $(srcdir)/$$dir/; then \
1442             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1443                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1444                     if test -d "$(srcdir)/$$dir/$$file"; then \
1445                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1446                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1447                     else \
1448                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1449                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1450                     fi \
1451                   done; \
1452           fi; \
1453         done
1454 # Install the macros
1455         @echo "-------- Install macros (if any) --------"; \
1456         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1457           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1458                 if test -d $(srcdir)/$$dir/; then \
1459                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1460                         if test -n "$(MACROSSPECIALEXT)"; then \
1461                                 specialExtDir=""; \
1462                                 for specialExt in $(MACROSSPECIALEXT); do \
1463                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1464                                 done; \
1465                                 FILELIST="$$FILELIST $$specialExtDir"; \
1466                         fi; \
1467                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1468                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1469                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1470                   done; \
1471                 fi; \
1472         done
1473 # Install java files (.jar)
1474         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1475         echo "-------- Install jar files --------"; \
1476     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1477           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1478                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1479                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1480           done ; \
1481         fi
1482
1483 ########### CLEAN ###################
1484 # Clean help (generated automatically by Scilab)
1485 # It used to clean the macro (clean-macros) but this was causing
1486 # make clean && make to fail Scilab startup
1487 @NEED_JAVA_TRUE@clean-local: clean-java
1488 @NEED_JAVA_FALSE@clean-local:
1489
1490 distclean-local:
1491         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1492
1493 .PHONY: macros java swig giws
1494
1495 # Provides macros compilation, Java compilation, cleaning
1496
1497 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1498 # Otherwise a system limit (for SysV at least) may be exceeded.
1499 .NOEXPORT: